/**
 * Ci config module.
 * @namespace ci.config
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    dependenciesConfig: getRequire('./dependencies-config'),
    indexConfig: getRequire('./index-config'),
    metaConfig: getRequire('./meta-config'),
    scaffoldConfig: getRequire('./scaffold-config'),
    structureConfig: getRequire('./structure-config')

});
